Package com.independentsoft.calc.engine

# Class CalcValue

java.lang.Object
com.independentsoft.calc.engine.CalcValue

public final class CalcValue extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `CalcValue[][]`
  `array`
  `static CalcValue`
  `Blank`
  `static CalcValue`
  `EmptyText`
  `static CalcValue`
  `ErrDiv0`
  `static CalcValue`
  `ErrNA`
  `static CalcValue`
  `ErrName`
  `static CalcValue`
  `ErrNull`
  `static CalcValue`
  `ErrNum`
  `CalcErrorType`
  `errorType`
  `static CalcValue`
  `ErrRef`
  `static CalcValue`
  `ErrValue`
  `static CalcValue`
  `False`
  `CalcValueKind`
  `kind`
  `LambdaDef`
  `lambda`
  `boolean`
  `logical`
  `static CalcValue`
  `Missing`
  `double`
  `number`
  `RefValue`
  `reference`
  `String`
  `text`
  `static CalcValue`
  `True`
  `static CalcValue`
  `Zero`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CalcValue`
  `arr​(CalcValue[][] array)`
  `static CalcValue`
  `err​(CalcErrorType e)`
  `boolean`
  `isBlank()`
  `boolean`
  `isError()`
  `boolean`
  `isMissing()`
  `static CalcValue`
  `logical​(boolean b)`
  `static CalcValue`
  `makeLambda​(LambdaDef lambda)`
  `static CalcValue`
  `num​(double d)`
  `static CalcValue`
  `ref​(RefValue reference)`
  `static CalcValue`
  `str​(String s)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### kind

    public final CalcValueKind kind

  - ### number

    public final double number

  - ### logical

    public final boolean logical

  - ### text

    public final String text

  - ### errorType

    public final CalcErrorType errorType

  - ### array

    public final CalcValue[][] array

  - ### reference

    public final RefValue reference

  - ### lambda

    public final LambdaDef lambda

  - ### Blank

    public static final CalcValue Blank

  - ### Missing

    public static final CalcValue Missing

  - ### True

    public static final CalcValue True

  - ### False

    public static final CalcValue False

  - ### Zero

    public static final CalcValue Zero

  - ### EmptyText

    public static final CalcValue EmptyText

  - ### ErrNull

    public static final CalcValue ErrNull

  - ### ErrDiv0

    public static final CalcValue ErrDiv0

  - ### ErrValue

    public static final CalcValue ErrValue

  - ### ErrRef

    public static final CalcValue ErrRef

  - ### ErrName

    public static final CalcValue ErrName

  - ### ErrNum

    public static final CalcValue ErrNum

  - ### ErrNA

    public static final CalcValue ErrNA

- ## Method Details

  - ### makeLambda

    public static CalcValue makeLambda​(LambdaDef lambda)

  - ### num

    public static CalcValue num​(double d)

  - ### str

    public static CalcValue str​(String s)

  - ### logical

    public static CalcValue logical​(boolean b)

  - ### err

    public static CalcValue err​(CalcErrorType e)

  - ### arr

    public static CalcValue arr​(CalcValue[][] array)

  - ### ref

    public static CalcValue ref​(RefValue reference)

  - ### isError

    public boolean isError()

  - ### isBlank

    public boolean isBlank()

  - ### isMissing

    public boolean isMissing()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`